Account
Cognito forgot password confirm
Completes a password reset using the verification code that was emailed, sets the new password and signs the user in.
POST
/api/sys/v{version:apiVersion}/account/cognito_forgot_password_confirm
- Authorisation
- No authentication needed
Request arguments
Request body example
Response
- Status
- 200 (OK)
- Type
- DTO_cognito_forgot_password_confirm_response
- Wrapper
- DTO_response_wrap
- Other statuses
- 400 (BadRequest), 429 (TooManyRequests)
Response body example
DTO_cognito_forgot_password_confirm
| Name | Type | ReadOnly | Description |
| email | String | | Email |
| verification_code | String | | Verification code |
| new_password | String | | New password |
DTO_cognito_forgot_password_confirm_response
DTO_logged_in_response
| Name | Type | ReadOnly | Description |
| challenge_mfa | Boolean | | Challenge mfa |
| action | ENUM logged_in_response_action | | Action |
| info_messages | String[] | | Can contain for example "Joined tenant". "Auth method Google added" |
| warning_messages | String[] | | Warning messages |
| redirect_url | String | | Redirect url |
| verification_hash | String | | Verification hash |
| email | String | | Email |
ENUM logged_in_response_action
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | REDIRECT | REDIRECT |
| 2 | SELECT_TENANT | SELECT_TENANT |
| 3 | CREATE_TENANT | CREATE_TENANT |
| 4 | CONTINUE_TO_APP | CONTINUE_TO_APP |
| 5 | LOGIN | LOGIN |
| 6 | VERIFY_EMAIL | VERIFY_EMAIL |
Generated Aug 4, 2026 18:37